Subject: Molec. Mech. In torsion angles

From: [email-masked] (Deva )
Date: Fri, 16 Jun 1995 20:05:52 -0500

Dear Netters,

In response to my query on on molecular mechanics in torsion angle
space I received a number of interesting and helpful responses.
Grateful thanks to all those who responded. I enclose a summary of
the responses I got so far.

QUESTION

>Is there any public domain software to molecular mechanics calculations,
>using only torsion angles as variables? If not can anyone give me references
>where such calculations were carried out?

REPLIES.

1)From  Dr. Walter E. Reiher III

Perhaps ECEPP/2 might be useful to you.  It's available from QCPE.  I've
never used it, so I don't know if it can be used for any molecules other
than peptides; I also can't vouch for the results.  The primary authors are
Frank Momany and Harold Scheraga.  The info page from the QCPE telnet
server is attached.

>(1)   286.      ECEPP:  Empirical Conformational Energy Programs
>           for Peptides
>
>(2)   286.      ECEPP:   Empirical Conformational  Energy  Program
>           for Peptides
>
>(3)   454.      ECEPP:   Empirical Conformational  Energy  Program
>           for Peptides
>
>(4)   558.      ECEPP/2:   Empirical Conformational Energy Program
>           for Peptides (IBM 3090 Version)
>
>
><press RETURN to change search parameter>
>           Input line number for abstract:  3
>454.      ECEPP:   Empirical Conformational  Energy  Program
>     for Peptides
>
>     by M.  Jean  Browman,  Lucy  M.  Carruthers,  Karen  L.
>     Kashuba, Frank  A. Momany,  Marcia S.  Pottle, Susan P.
>     Rosen, and  Shirley M.  Rumsey.   Write-up by Gerard F.
>     Endres.   Resubmitted by  Harold A.  Scheraga,  Cornell
>     University, Ithaca, New York 14853.
>
>     The  empirical   potential  energy   functions,  energy
>     parameters and geometry parameters used in this program
>     are described  in the  literature (F.  A. Momany, R. F.
>     McGuire, A.  W. Burgess  and H.  A. Scheraga,  J. Phys.
>     Chem., 79, 2361 (1975) and G. Nemethy, M. S. Pottle and
>     H. A.  Scheraga,  J.  Phys.  Chem.,  submitted).    The
>     program treats linear polypeptides and those containing
>     one or  more intramolecular disulfide linkages (cystine
>>     residues) but  not  polypeptides  with  cyclic  peptide
>     backbones.   It reads  as  initial  input  a  data  set
>     containing standard  residue information  to be used in
>     the subsequent  generation of  atomic  coordinates  and
>     computation of relative potential energy.  The Standard
>     Residue Data  supplied with  the program  consists of a
>     basic data  set for  26 amino  acid residues and 20 end
>     groups  and  a  supplementary  set  of  10  amino  acid
>     residues.   The data set includes all of the amino acid
>     residues commonly found in proteins and many end groups
>     present in  synthetic polypeptides.  If any residues or
>     end groups  are not needed in a particular application,
>     an abbreviated set can be used.  Any properly formatted
>     residue data  can be substituted for the supplied data,
>     e.g., if  the user  does not  wish to  use the supplied
>     standard geometry.
>>
>     The user supplies additional data specifying:
>
>          (1)  the number  of conformations  to be  treated,
>            the desired  amino acid  sequence (including end
>            groups),   and    the   designation    of    the
>            stereochemistry (D  or L)  of  each  amino  acid
>            residue
>          (2)  the  pairing   of  half-cystine  residues  in
>            intramolecular disulfide bonds
>          (3)  the initial conformation (by supplying values
>            of all dihedral angles)
>          (4)  which dihedral  angles  will  be  treated  as
>            variable,  i.e.,   will  differ   in  subsequent
>            conformations
>          (5)  new  values   of  these  variables  for  each
>            subsequent conformation
>
>     The program  calls a set of subroutines to generate the
>     atomic coordinates  for each  conformation  using  bond
>     lengths and  bond angles  defined in  the standard data
>     set and  the dihedral  angles specified  by  the  user.
>     Another set  of subroutines  is called  to compute  the
>     total  conformational  energy  (ETOT)  using  empirical
>     potential energy  functions.   ETOT is  computed as the
>     sum of the following component energies:  electrostatic
>     (EES), nonbonded  plus hydrogen  bonded (ENB),  general
>     torsional (ETOR),  cystine bridge  torsional  (ECYSTR),
>     and a  loop-closing potential  for S-S  bonds  (ELOOP).
>     The repulsive  part of the nonbonded interaction energy
>     is  reduced   by  a  factor  of  0.5  if  a  particular
>     interaction is  "1-4", i.e.,  between a  pair of  atoms
>     separated by only one bond whose rotation affects their
>     interatomic distance.   A  group of subroutines is used
>     to specify  which interactions are 1-4 type for a given
>     polypeptide sequence.
>
>     The  output   of  the   program  includes   the  atomic
>     coordinates, the  total conformational  energy, and its
>     five components for each conformation.  The sample main
>     program can  be modified  to carry  out grid  searches,
>     compute conformational  energy maps  (f -  y plots), or
>     (in combination  with a function-minimizing subroutine)
>     find  conformations   corresponding  to   local  energy
>>     FORTRAN IV (ANSI)
>     Lines of Code:  4500
************************************************************************
Walter E. Reiher III, Ph.D.                            [email-masked]
Consultant in Computational Chemistry
P.O. Box 61056                                        voice 408-720-0240
Sunnyvale, CA 94088                                     fax 408-720-0378
************************************************************************
Dr. Klaus. J.W. May wrote:

There is software. It is called SCULPT and is from Interactive Simulations.
It was developped in close cooperation with Dave and Jane Richardson. It
does REALTIME minimizations of torsions, vdw, and electrostatics. It
minimizes torsions, but describes Coordinates not in torsional space. It
works in cartesian space.
It needs so far a silicon graphics machine.
It is not public domain, but 1st: the academic price is US$ 700.- and
2nd: You can have a free copy via internet. This demoversion has only some
minor restrictions.

URL is http://www.intsim.com/~isigen

CU
Klaus

Klaus J.W. May                     e-mail:          [email-masked]
May & Partner SciTech Consult      Phone/Fax:       xx49-(89) 333 569
Mandlstr. 15                       Mobile national: 0172-620 38 38             
                                     international: xx49-172-620 30 38
D - 80802 Munich                  
GERMANY
*************************************************************************
Dr. Neil Hoare wrote :

Dear Devapriya,

It might be possible to perform dynamics using using torsional
terms in something like CHARMm by using the SKIPE command to 
exclude terms from the energy evaluation.

Hope this is of use,

	Neil

Neil Hoare
[email-masked]
Research Associate
Centre for Molecular Design
University of Portsmouth
U.K.
**********************************************************************
Dr. Thomas Simonson wrote :

From: [email-masked] (Thomas Simonson)
To: [email-masked]
Subject: Re: CCL:Molec.Mechanics in torsion angle space.
Content-Type: text
Content-Length: 469

Dear Devapriya,

The program Xplor now has a very powerful facility for doing molecular
mechanics using any arbitrary combination of internal coordinates,
cartesian coordinates, or rigid body constraints (see Rice & Brunger,
Proteins, 19:277, 1994). While this facility is not part of the current
release, it shouldn't be difficult to get a prerelease of the upcoming
version 4.0 which does have this facility. Contact Axel Brunger at Yale.

Sincerely,

Tom Simonson
**************************************************************************

>From Dr. Konstantin Momot

Try Cerius2; it allows you to include/exclude potential energy terms
(bonds, angles, etc.) from consideration. I did carry out a similar thing
once, it works fine. 

Another option would be using Macromodel; it allows to modify force field
very easily, so you can remove every term except torsional ones. 

Konstantin       <[email-masked]>
***********************************************************************
>From Dr. Konrad Hinsen

I can send you a preprint of an article by myself and G. Kneller, in which we
present a simulation method suitable for a large range of constrained systems.
As an example we compare several constraint models for a simple alpha-helix,
among them one with only torsional angles (i.e. phi/psi-angles). Another work
on simulations in these variables is
  L.M. Rice and A.T. Br\"unger, Proteins {\bf 19}, 277~(1994)

-------------------------------------------------------------------------------
Konrad Hinsen                     | E-Mail: [email-masked]
Departement de chimie             | Tel.: +1-514-343-6111 ext. 3953
Universite de Montreal            | Fax:  +1-514-343-7586
C.P. 6128, succ. A                | Deutsch/Esperanto/English/Nederlands/
Montreal (QC) H3C 3J7             | Francais (phase experimentale)
-------------------------------------------------------------------------------

***************************************************************************
>From Dr. Max Vasquez

Look at the work of Scheraga and colleagues (e.g., J Comp. Chem. 12, 594
[1991]) and their program ECEPP/3; an older version ECEPP/2 is available in
QCPE.  There is also the program FANTOM by W. Braun (see e.g. J Comp Chem
12, 1065 [1991]) based on similar principles; I believe Dr. Braun will make
his software available to academic researchers at little or no cost; he
used to be at ETH in Zurich but he may have moved recently (to UT -
Galveston maybe??).  There is also software by Abagyan called ICM (see J.
Comp. Chem. 15, 488-506 [1994]); Abagyan is now at New York University, I
do not know if he is making his software available.  All of the above is
primarily restricted or at least optimized to treat peptide systems.  Also,
most of these codes are not concerned with "true" dynamics, a difficult
task in torsion space  - see the papers cited by Hinsen in a public reply
to your query.

Hope this is good to get you started,

Max

************************************************
Max Vasquez, PhD
Protein Design Labs, Inc.
2375 Garcia Ave.
Mountain View, CA 94043
(415) 903-3744
(415) 903-3730 (FAX)
Internet:  [email-masked]
           [email-masked]
*************************************************
>From Dr. S. Kandadai

>From iucaa!minnie.nic.kingston.ibm.com!swamy Sat Jun 10 22:45 GMT 1995
>Received: by iucaa (4.1/SMI-4.1)
	id AA01099; Sat, 10 Jun 95 22:39:00+050
Date: Fri, 9 Jun 1995 09:26:42 -0400
From: [email-masked] (Swamy Kandadai)
To: [email-masked]
Subject: Public Domain MM software
Content-Type: text
Content-Length: 177

You may want to obtain MM2 from QCPE and also ECEPP and ECEPP2 from
QCPE. MM2 is bit old and MM3 is being distributed by Tripos and by
Norm Allinger. Good luck
Swamy Kandadai

***************************************************************
>From Dr. K.Ramnarayan

Hello:
Regarding your question to the net regarding 
molecular mechanics calculations using only torsion angles as variables
the solution to closer to home!

Prof. C. Ramakrishnan of Molecular Biophysics Unit,
Indian Institute of Science is well known for such
calculations.  You can contact him to see if you
can collaborate with him.  Good luck.
..K.Ramnarayan, Ph.D.
ImmunoPharmaceutics, Inc.
San Diego, CA, U.S.A.

*********************************************************************
>From Dr. D.Severance
   Hi,
      It depends if you want a graphical interface.  Prof. William Jorgensen
has a program named "BOSS" which has been used for a large number of
simulations.  It works in internal coordinate space, so it is trivial to
fix all of the bonds and angles and only allow torsional movements (in fact,
>from 1984-1992 only torsional moves were possible, but now bonds and angles
may also be sampled).
      It does not have a graphical interface at this time (although there
is a partial interface built into SYBYL from Tripos).
      You can contact Bill directly for more information:
[email-masked]
      Good luck!
         Dan

-- 
Dr. Daniel L. Severance			[email-masked]
Staff Researcher			Work phone:	(415) 354-7509
Syntex Discovery Research		Home phone:	(415) 969-5818
R6W-002          		        Fax (Work):  	(415) 354-7363
3401 Hillview Ave                       
Palo Alto, CA  94303 			
********************************************************************
>From Dr. A.D.Allen

Devapriya Choudhury
	It's not Public Domain but SCULPT from International simmulations
provide SCULPT, which uses a REAL time grab and minimise utility, using only
torsion angle parameters.

	email [email-masked] for more details
--
##############################################################################
Structural and Computation Chemistry [email-masked] - JANET.
Department of Chemistry___________________________phone_______+44-1483-259591.
University of Surrey______________________________fax_________+44-1483-259514
Guildford,________________________________________ftp___________131.227.110.69
Surrey, GU2 5XH, UK_________________WWW  http://www.chem.surrey.ac.uk/~chp1aa/
##############################################################################

******************************************************************

Again let me thank all those who replied. This will be a great help
in my research.

Devapriya

Dr. Devapriya Choudhury
Research associate
Bioinformatics Centre
University 0f Poona
Pune, Maharashtra 411 007
INDIA
e-mail [email-masked]

---

From: [email-masked] (Harry C. Johnson)
Date: Fri, 16 Jun 95 10:53:29 -0700

>>>>> "Deva" == Deva  <[email-masked]> writes:

    Deva> Dear Netters, In response to my query on on molecular
    Deva> mechanics in torsion angle space I received a number of
    Deva> interesting and helpful responses.  Grateful thanks to all
    Deva> those who responded. I enclose a summary of the responses I
    Deva> got so far.

    Deva> QUESTION

    >> Is there any public domain software to molecular mechanics
    >> calculations, using only torsion angles as variables? If not
    >> can anyone give me references where such calculations were
    >> carried out?

Just to add one more.  Spartan from Wavefunction Inc. is not public
domain, but one of the new features of version 4.0 is the ability to
do torsion only optimizations from within mechanics as opposed to
semi-empirical, dft, or ab initio.  For more info check out the web
page at http://wavefun.com.

-Harry

+-----------------------+------------------+-------------------------+
|Harry C. Johnson IV    |  ______________  | E-Mail: [email-masked] |
|Computational Chemist  |  \  _________	/  | Phone:  (714)955-2120   |
|Wavefunction Inc.      |   \ \\\\\\\\/	   | Fax:    (714)955-2118   |
|18401 Von Karman       |    \ \\\\\/	   |                         |
|Suite 370              |     \	\\/        | "Seems to me its all    |
|Irvine, CA 92715       |      \/	   |  just chemistry" - RUSH |
+-----------------------+------------------+-------------------------+